/*****************************************************************************
/*
/*            INSTITUTO NACIONAL PARA LA EVALUACIN DE LA EDUCACIN
/*                       DIRECCIN DE PRUEBAS Y MEDICIN
/*                           SUBDIRECCION DE ANLISIS
/*_____________________________________________________________________________
/*
/*            EXAMENES DE LA CALIDAD Y EL LOGRO EDUCATIVOS (Excale)
/*                     SEXTO GRADO DE PRIMARIA (Excale 06)
/*
/*                     **** CUESTIONARIO DE DIRECTORES ****
/*
/*                     Ciclo escolar evaluado: 2006 - 2007
/*_____________________________________________________________________________
/*
/*
/*    PROGRAMA PARA CONSTRUIR LA BASE DE DATOS DE DIRECTORES EN FORMATO SAS
/*_____________________________________________________________________________
/*
/*  El programa convierte el archivo Excale06_2007_Directores.txt el cual est en
/*  formato ASCII a una base de datos en formato SAS. El programa realiza las
/*  siguientes tareas:
/*   - Declara formatos para algunas variables
/*   - Lee las variables del archivo en formato ASCII
/*   - Declara los valores considerados en el anlisis como perdidos (missing values)
/*
/* INSTRUCCIONES
/*  Para construir la base de datos (tabla de datos) es necesario:
/*      1) Crear una carpeta de trabajo y colocar en ella al archivo Excale06_2007_Directores.txt
/*         as como el archivo Excale06_2007_Directores.SAS (este archivo) los cules se pueden
/*         descargar del sitio web del INEE (www.inee.edu.mx).
/*      2) Modificar la primera y segunda lnea de los comandos de este archivo
/*         (libname y filename) para actualizar el nombre de la librera y el archivo
/*         de trabajo.
/*      3) Ejecutar el programa del archivo.
/*
/*  Al finalizar, se deber contar con la base de datos (tabla de datos) Excale06_2007_Directores.sas7bdat
/*
/*  Posteriormente, cuando se desee utilizar nuevamente la base Excale06_2007_Directores.sas7bdat,
/*  se deber ejecutar primero el procedimiento FORMAT ("proc FORMAT") de este programa para que
/*  SAS cargue los formatos necesarios para abrir la base.
/*
/* CONTACTO:
/*
/*      Para mayor informacin o aclaracin de dudas favor de contactar a la
/*      Subdireccin de Anlisis del Instituto
/*      Correo electrnico: excale.analisis@inee.edu.mx
/*      Tel 5482 0900 Ext. 1082
/*      Domicilio: Jos Ma. Velasco No. 101. 3er piso. Col. San Jos Insurgentes
/*                 Del. Benito Jurez. Mxico. D.F.
/*
/* FECHA DE LIBERACIN: 9 DE FEBRERO DE 2009
/*
/* ****************************************************************************/


LIBNAME  INEE  "C:\***\";
FILENAME dir   "C:\***\Excale06_2007_Directores.TXT";

PROC FORMAT;
     VALUE id_entF
                      1     ="Aguascalientes"
                      2     ="Baja California"
                      3     ="Baja California Sur"
                      4     ="Campeche"
                      5     ="Coahuila"
                      6     ="Colima"
                      7     ="Chiapas"
                      8     ="Chihuahua"
                      9     ="Distrito Federal"
                      10    ="Durango"
                      11    ="Guanajuato"
                      12    ="Guerrero"
                      13    ="Hidalgo"
                      14    ="Jalisco"
                      15    ="Mxico"
                      16    ="Michoacn"
                      17    ="Morelos"
                      18    ="Nayarit"
                      19    ="Nuevo Len"
                      20    ="Oaxaca"
                      21    ="Puebla"
                      22    ="Quertaro"
                      23    ="Quintana Roo"
                      24    ="San Luis Potos"
                      25    ="Sinaloa"
                      26    ="Sonora"
                      27    ="Tabasco"
                      28    ="Tamaulipas"
                      29    ="Tlaxcala"
                      30    ="Veracruz"
                      31    ="Yucatn"
                      32    ="Zacatecas";
     VALUE id_modF
                      1     ="Urbano Pblico"
                      2     ="Rural Pblico"
                      3     ="Educacin Indgena"
                      4     ="Cursos Comunitarios"
                      5     ="Privados";
     VALUE $modF
                      "UP"  ="Urbano Pblico"
                      "RP"  ="Rural Pblico"
                      "EI"  ="Educacin Indgena"
                      "CC"  ="Cursos Comunitarios"
                      "UPV" ="Privados";
     VALUE dp001F
                      1     ="Hombre"
                      2     ="Mujer"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp002F
                      1     ="Menos de 25"
                      2     ="Entre 25 y 29"
                      3     ="Entre 30 y 39"
                      4     ="Entre 40 y 49"
                      5     ="Entre 50 y 59"
                      6     ="60  ms"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp3_4F
                      1     ="S"
                      0     ="No"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp005F
                      1     ="Bachillerato o menos"
                      2     ="Licenciatura"
                      3     ="Posgrado"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp006F
                      0     ="Ninguna"
                      1     ="Bachillerato pedaggico"
                      2     ="Cursos de nivelacin pedaggica"
                      3     ="Normal bsica sin licenciatura"
                      4     ="Normal superior o licenciatura en educacin"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp007F
                      1     ="1  menos"
                      2     ="Entre 2 y 5"
                      3     ="Entre 6 y 10"
                      4     ="Ms de 10"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp008F
                      1     ="Uno"
                      2     ="Entre 2 y 5"
                      3     ="Entre 6 y 10"
                      4     ="11  ms"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp009F
                      1     ="S"
                      0     ="No"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp010F
                      1     ="Uno  menos"
                      2     ="2  3"
                      3     ="4  ms"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp011F
                      0     ="Nada tiles"
                      1     ="Poco tiles"
                      2     ="tiles"
                      3     ="Muy tiles"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp12_13F
                      1     ="S"
                      0     ="No"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp014F
                      1     ="Malas"
                      2     ="Aceptables"
                      3     ="Buenas"
                      4     ="Excelentes"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp015F
                      0     ="No hay"
                      1     ="Menos de 10"
                      2     ="Entre 11 y 20"
                      3     ="Entre 21 y 30"
                      4     ="31  ms"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp016F
                      1     ="S"
                      0     ="No"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp017F
                      1     ="Malas"
                      2     ="Aceptables"
                      3     ="Buenas"
                      4     ="Excelentes"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp018F
                      1     ="S"
                      0     ="No"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp019F
                      1     ="Malas"
                      2     ="Aceptables"
                      3     ="Buenas"
                      4     ="Excelentes"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp020F
                      1     ="Menos de 100"
                      2     ="Entre 100 y 200"
                      3     ="Entre 200 y 400"
                      4     ="Ms de 400"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp021F
                      1     ="Menos de 30"
                      2     ="Entre 31 y 100"
                      3     ="Entre 101 y 250"
                      4     ="Ms de 250"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp22_28F
                      1     ="S"
                      0     ="No"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp029F
                      1     ="Menos de 6"
                      2     ="Entre 6 y 9"
                      3     ="10  ms"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp030F
                      1     ="Muy insuficiente"
                      2     ="Insuficiente"
                      3     ="Suficiente"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp031F
                      1     ="Inadecuada"
                      2     ="Poco adecuada"
                      3     ="Adecuada"
                      4     ="Muy adecuada"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp032F
                      4     ="No hubo rotacin"
                      3     ="Baja (1  2 profesores)"
                      2     ="Moderada (3 a 5 profesores)"
                      1     ="Alta (6  ms profesores)"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp033F
                      4     ="Ninguno"
                      3     ="1  2"
                      2     ="3 a 5"
                      1     ="6  ms"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp034F
                      4     ="Ninguno"
                      3     ="1  2"
                      2     ="3 a 5"
                      1     ="6  ms"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp035F
                      1     ="S"
                      0     ="No"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp036F
                      2     ="S"
                      1     ="No"
                      0     ="No existe"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp037F
                      1     ="S"
                      0     ="No"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp038F
                      2     ="S"
                      1     ="No"
                      0     ="No existe"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp39_41F
                      1     ="El director solo"
                      2     ="El director con algunos maestros"
                      3     ="Cada profesor por separado"
                      4     ="Consejo Tcnico"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp042F
                      1     ="S"
                      0     ="No"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp043F
                      1     ="S"
                      0     ="No"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp044F
                      1     ="Nulo"
                      2     ="Bajo"
                      3     ="Regular"
                      4     ="Alto"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp045F
                      4     ="Ninguno"
                      3     ="1  2"
                      2     ="3  4"
                      1     ="5  ms"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
     VALUE dp46_52F
                      3     ="Nunca"
                      2     ="A veces"
                      1     ="Frecuentemente"
                      8     ="Respuesta mltiple"
                      9     ="Respuesta omitida";
RUN;



DATA INEE.Excale00_2007_dir_cuest;
   LENGTH
       NACIONAL     3
       ESCUELA      4
       ID_ENT       3
       NOM_ENT      $19
       ID_MOD       3
       MOD          $4
       ENTEST       $6
       ID_INSTR     $15
       W_DIR        8
       DP001        3
       DP002        3
       DP003        3
       DP004        3
       DP005        3
       DP006        3
       DP007        3
       DP008        3
       DP009        3
       DP010        3
       DP011        3
       DP012        3
       DP013        3
       DP014        3
       DP015        3
       DP016        3
       DP017        3
       DP018        3
       DP019        3
       DP020        3
       DP021        3
       DP022        3
       DP023        3
       DP024        3
       DP025        3
       DP026        3
       DP027        3
       DP028        3
       DP029        3
       DP030        3
       DP031        3
       DP032        3
       DP033        3
       DP034        3
       DP035        3
       DP036        3
       DP037        3
       DP038        3
       DP039        3
       DP040        3
       DP041        3
       DP042        3
       DP043        3
       DP044        3
       DP045        3
       DP046        3
       DP047        3
       DP048        3
       DP049        3
       DP050        3
       DP051        3
       DP052        3
   ;

INFILE dir MISSOVER LINESIZE = 113;
   INPUT
       NACIONAL      1 - 1
       ESCUELA       2 - 5
       ID_ENT        6 - 7
       NOM_ENT       8 - 27
       ID_MOD       28 - 28
       MOD          29 - 32
       ENTEST       33 - 38
       ID_INSTR     39 - 50
       W_DIR        51 - 61
       DP001        62 - 62
       DP002        63 - 63
       DP003        64 - 64
       DP004        65 - 65
       DP005        66 - 66
       DP006        67 - 67
       DP007        68 - 68
       DP008        69 - 69
       DP009        70 - 70
       DP010        71 - 71
       DP011        72 - 72
       DP012        73 - 73
       DP013        74 - 74
       DP014        75 - 75
       DP015        76 - 76
       DP016        77 - 77
       DP017        78 - 78
       DP018        79 - 79
       DP019        80 - 80
       DP020        81 - 81
       DP021        82 - 82
       DP022        83 - 83
       DP023        84 - 84
       DP024        85 - 85
       DP025        86 - 86
       DP026        87 - 87
       DP027        88 - 88
       DP028        89 - 89
       DP029        90 - 90
       DP030        91 - 91
       DP031        92 - 92
       DP032        93 - 93
       DP033        94 - 94
       DP034        95 - 95
       DP035        96 - 96
       DP036        97 - 97
       DP037        98 - 98
       DP038        99 - 99
       DP039       100 - 100
       DP040       101 - 101
       DP041       102 - 102
       DP042       103 - 103
       DP043       104 - 104
       DP044       105 - 105
       DP045       106 - 106
       DP046       107 - 107
       DP047       108 - 108
       DP048       109 - 109
       DP049       110 - 110
       DP050       111 - 111
       DP051       112 - 112
       DP052       113 - 113
   ;

   LABEL
       NACIONAL    = "Variable auxiliar para obtener promedios nacionales"
       ESCUELA     = "Identificador de la escuela"
       ID_ENT      = "Entidad federativa (identificador numrico)"
       NOM_ENT     = "Entidad federativa"
       ID_MOD      = "Estrato escolar o Modalidad educativa (identificador numrico)"
       MOD         = "Estrato escolar o Modalidad educativa"
       ENTEST      = "Estratos del diseo muestral con el que se estiman los parmetros y errores estndar (Entidad federativa-Modalidad)"
       ID_INSTR    = "Identificador del cuadernillo de examen"
       W_DIR       = "Peso muestral o ponderador del director"
       DP001       = "Es usted hombre o mujer?"
       DP002       = "Cuntos aos cumplidos tiene?"
       DP003       = "Trabaja otro turno, en esta o en otra escuela, como docente o director?"
       DP004       = "Adems de su trabajo en esta escuela, tiene otro empleo permanente por el cual reciba remuneracin?"
       DP005       = "Cul es su nivel mximo de estudios?"
       DP006       = "Cul es su formacin especfica como docente?"
       DP007       = "Contando este ciclo escolar cuntos aos tiene trabajando como director de primaria?"
       DP008       = "Cuntos aos ha trabajado como profesor(a) de primaria?"
       DP009       = "Adems de ser director(a) tiene a su cargo algn grupo en esta escuela?"
       DP010       = "Cuntos cursos de capacitacin o actualizacin para directores tom en los ltimos 3 aos?"
       DP011       = "Indique el grado en que dichos cursos le han resultado tiles en su ejercicio como director."
       DP012       = "Est usted incorporado al Programa de Carrera Magisterial?"
       DP013       = "Tiene alguna beca o est usted incorporado a algn otro programa de estmulos?"
       DP014       = "En su opinin cmo son las condiciones fsicas generales de su plantel?"
       DP015       = "Cuntas computadoras funcionales al servicio de los alumnos hay en su escuela?"
       DP016       = "Es suficiente el equipo audiovisual con que cuenta su escuela?"
       DP017       = "En qu condiciones se encuentra el equipo audiovisual?"
       DP018       = "Es suficiente el material didctico (fichas, mapas, juegos educativos y otras) con que cuenta su escuela?"
       DP019       = "En qu condiciones se encuentra dicho material?"
       DP020       = "Cuntos libros hay en la biblioteca de su escuela, sin contar los de las bibliotecas de aula?"
       DP021       = "Cuntos alumnos hay en su escuela?"
       DP022       = "En su escuela existen grupos multigrado?"
       DP023       = "Indique si su escuela participa o no en los siguientes programas: El programa Oportunidades"
       DP024       = "Indique si su escuela participa o no en los siguientes programas: El programa Escuelas de Calidad"
       DP025       = "Indique si su escuela participa o no en los siguientes programas: El Programa Nacional de Lectura"
       DP026       = "Indique si su escuela participa o no en los siguientes programas: El PAREIB"
       DP027       = "Indique si su escuela participa o no en los siguientes programas: El programa Enciclomedia"
       DP028       = "Los programas de Educacin Especial para nios con problemas de aprendizaje o con capacidades diferentes"
       DP029       = "Cuntos docentes frente a grupo hay en su escuela?"
       DP030       = "Considerando el nmero total de alumnos de su plantel, el nmero de docentes con que cuenta es:"
       DP031       = "Considerando las necesidades particulares de su plantel, la formacin y capacitacin de los docentes que trabajan en l es:"
       DP032       = "Qu tanta rotacin de profesores hubo en su plantel durante el ltimo ciclo escolar?"
       DP033       = "Cuntos profesores de su escuela faltaron a dar clases la semana pasada?"
       DP034       = "En promedio cuntos profesores de su escuela llegaron tarde la semana pasada?"
       DP035       = "Se ha constituido en su escuela el Consejo Tcnico?"
       DP036       = "Contribuye el Consejo Tcnico a la resolucin de las problemticas escolares?"
       DP037       = "Existe en su escuela el Consejo de Participacin Ciudadana?"
       DP038       = "Contribuye el Consejo de Participacin Ciudadana a la resolucin de las problemticas escolares?"
       DP039       = "En su escuela, quin(es) toma(n) predominantemente las decisiones sobre los siguientes aspectos? Elaboracin del plan escolar de trabajo"
       DP040       = "En su escuela, quin(es) toma(n) predominantemente las decisiones sobre los siguientes aspectos? Asignar los profesores a grados y grupos"
       DP041       = "En su escuela, quin(es) toma(n) predominantemente las decisiones sobre los siguientes aspectos? Tomar medidas en casos de indisciplina graves"
       DP042       = "Existe en su escuela algn sistema para la evaluacin del desempeo de los docentes por parte de la direccin?"
       DP043       = "Normalmente da a conocer a sus profesores los resultados de las evaluaciones sobre su desempeo?"
       DP044       = "En su opinin cul es el grado de participacin de los padres de familia en las actividades escolares (Asociacin de padres de Familia, actividades acadmicas, eventos culturales y sociales u otros)?"
       DP045       = "Cuntos festivales y/o eventos especiales se han realizado en la escuela en el transcurso del ao escolar?"
       DP046       = "Indique la frecuencia con la que han ocurrido los siguientes eventos dentro de su plantel durante el presente ciclo escolar. Robos de objetos o dinero"
       DP047       = "Indique la frecuencia con la que han ocurrido los siguientes eventos dentro de su plantel durante el presente ciclo escolar. Los alumnos han daado las instalaciones, el mobiliario o el equipo de la escuela"
       DP048       = "Indique la frecuencia con la que han ocurrido los siguientes eventos dentro de su plantel durante el presente ciclo escolar. Los alumnos han participado en peleas a golpes"
       DP049       = "Indique la frecuencia con la que han ocurrido los siguientes eventos dentro de su plantel durante el presente ciclo escolar. Los alumnos han consumido tabaco o alcohol"
       DP050       = "Frecuencia con que ocurren algunos eventos en las calles que rodean la escuela que dirige. Qu tan seguido se presentan robos de objetos o dinero en los alrededores de su plantel?"
       DP051       = "Frecuencia con que ocurren algunos eventos en las calles que rodean la escuela que dirige. Qu tan seguido se presentan peleas a golpes en los alrededores de la escuela?"
       DP052       = "Frecuencia con que ocurren algunos eventos en las calles que rodean la escuela que dirige. Qu tan seguido se consume alcohol o drogas en los alrededores del plantel?"
;

   FORMAT
       NACIONAL    1.
       ESCUELA     4.
       ID_ENT      id_entF.
       NOM_ENT     $char19.
       ID_MOD      id_modF.
       MOD         $modF.
       ENTEST      $char6.
       ID_INSTR    $char15.
       DP001       dp001F.
       DP002       dp002F.
       DP003       dp3_4F.
       DP004       dp3_4F.
       DP005       dp005F.
       DP006       dp006F.
       DP007       dp007F.
       DP008       dp008F.
       DP009       dp009F.
       DP010       dp010F.
       DP011       dp011F.
       DP012       dp12_13F.
       DP013       dp12_13F.
       DP014       dp014F.
       DP015       dp015F.
       DP016       dp016F.
       DP017       dp017F.
       DP018       dp018F.
       DP019       dp019F.
       DP020       dp020F.
       DP021       dp021F.
       DP022       dp22_28F.
       DP023       dp22_28F.
       DP024       dp22_28F.
       DP025       dp22_28F.
       DP026       dp22_28F.
       DP027       dp22_28F.
       DP028       dp22_28F.
       DP029       dp029F.
       DP030       dp030F.
       DP031       dp031F.
       DP032       dp032F.
       DP033       dp033F.
       DP034       dp034F.
       DP035       dp035F.
       DP036       dp036F.
       DP037       dp037F.
       DP038       dp038F.
       DP039       dp39_41F.
       DP040       dp39_41F.
       DP041       dp39_41F.
       DP042       dp042F.
       DP043       dp043F.
       DP044       dp044F.
       DP045       dp045F.
       DP046       dp46_52F.
       DP047       dp46_52F.
       DP048       dp46_52F.
       DP049       dp46_52F.
       DP050       dp46_52F.
       DP051       dp46_52F.
       DP052       dp46_52F.
   ;


/**************************************************************************
/*  Definicin de valores perdidos
/*   .M o M = Respuesta Mltiple.
/*   .S o S = Respuesta omitida (No contestado).
/*************************************************************************/
   ARRAY perdidos1(52)
                  DP001 DP002 DP003 DP004 DP005 DP006 DP007 DP008 DP009 DP010 DP011 DP012
                  DP013 DP014 DP015 DP016 DP017 DP018 DP019 DP020 DP021 DP022 DP023 DP024
                  DP025 DP026 DP027 DP028 DP029 DP030 DP031 DP032 DP033 DP034 DP035 DP036
                  DP037 DP038 DP039 DP040 DP041 DP042 DP043 DP044 DP045 DP046 DP047 DP048
                  DP049 DP050 DP051 DP052;
   DO  i=1 TO 52;
          IF perdidos1{i} = 8   THEN  perdidos1{i} = .M;
          IF perdidos1{i} = 9   THEN  perdidos1{i} = .S;
   END;

   drop i;
RUN;
