/*****************************************************************************
/*
/*            INSTITUTO NACIONAL PARA LA EVALUACIN DE LA EDUCACIN
/*                       DIRECCIN DE PRUEBAS Y MEDICIN
/*                           SUBDIRECCION DE ANLISIS
/*_____________________________________________________________________________
/*
/*            EXAMENES DE LA CALIDAD Y EL LOGRO EDUCATIVOS (Excale)
/*                     SEXTO GRADO DE PRIMARIA (Excale 06)
/*
/*                     **** CUESTIONARIO DE DIRECTORES ****
/*
/*                     Ciclo escolar evaluado: 2006 - 2007
/*_____________________________________________________________________________
/*
/*
/*    SINTAXIS PARA CONSTRUIR LA BASE DE DATOS DE DIRECTORES EN FORMATO SPSS
/*
/*_____________________________________________________________________________
/*
/*  La sintaxis convierte el archivo Excale06_2007_Directores.txt el cual est en
/*  formato ASCII a una base de datos en formato SPSS. La sintaxis realiza las
/*  siguientes tareas:
/*   - Lee las variables del archivo en formato ASCII
/*   - Etiqueta las variables as como sus valores
/*   - Declara los valores considerados en el anlisis como perdidos (missing values)
/*
/* INSTRUCCIONES
/*  Para construir la base de datos (tabla de datos) es necesario:
/*      1) Crear una carpeta de trabajo y colocar en ella al archivo Excale06_2007_Directores.txt
/*         as como el archivo Excale06_2007_Directores.SPS (este archivo) los cules se pueden
/*         descargar del sitio web del INEE (www.inee.edu.mx).
/*      2) Modificar la segunda y ltima lneas de los comandos de este archivo
/*         (Excale06_2007_Directores.SPS) para actualizar el nombre del directorio
/*         de trabajo.
/*      3) Ejecutar toda la sintaxis del archivo.
/*
/*  Al finalizar, se deber contar con la base de datos (tabla de datos) Excale06_2007_Directores.SAV
/*
/*
/* CONTACTO:
/*
/*      Para mayor informacin o aclaracin de dudas favor de contactar a la
/*      Subdireccin de Anlisis del Instituto
/*      Correo electrnico: excale.analisis@inee.edu.mx
/*      Tel 5482 0900 Ext. 1082
/*      Domicilio: Jos Ma. Velasco No. 101. 3er piso. Col. San Jos Insurgentes
/*                 Del. Benito Jurez. Mxico. D.F.
/*
/* FECHA DE LIBERACIN: 9 DE FEBRERO DE 2009
/*
/*  ****************************************************************************/


SET DECIMAL=DOT.
                  /* Actualizar el nombre y directorio donde se ubica el archivo Excale06_2007_Directores.txt*/
DATA LIST FILE = "C:\***\Excale06_2007_Directores.TXT"
       /NACIONAL            1 - 1
        ESCUELA             2 - 5
        ID_ENT              6 - 7
        NOM_ENT             8 - 27     (a)
        ID_MOD             28 - 28
        MOD                29 - 32     (a)
        ENTEST             33 - 38     (a)
        ID_INSTR           39 - 50     (a)
        W_DIR              51 - 61
        DP001              62 - 62
        DP002              63 - 63
        DP003              64 - 64
        DP004              65 - 65
        DP005              66 - 66
        DP006              67 - 67
        DP007              68 - 68
        DP008              69 - 69
        DP009              70 - 70
        DP010              71 - 71
        DP011              72 - 72
        DP012              73 - 73
        DP013              74 - 74
        DP014              75 - 75
        DP015              76 - 76
        DP016              77 - 77
        DP017              78 - 78
        DP018              79 - 79
        DP019              80 - 80
        DP020              81 - 81
        DP021              82 - 82
        DP022              83 - 83
        DP023              84 - 84
        DP024              85 - 85
        DP025              86 - 86
        DP026              87 - 87
        DP027              88 - 88
        DP028              89 - 89
        DP029              90 - 90
        DP030              91 - 91
        DP031              92 - 92
        DP032              93 - 93
        DP033              94 - 94
        DP034              95 - 95
        DP035              96 - 96
        DP036              97 - 97
        DP037              98 - 98
        DP038              99 - 99
        DP039             100 - 100
        DP040             101 - 101
        DP041             102 - 102
        DP042             103 - 103
        DP043             104 - 104
        DP044             105 - 105
        DP045             106 - 106
        DP046             107 - 107
        DP047             108 - 108
        DP048             109 - 109
        DP049             110 - 110
        DP050             111 - 111
        DP051             112 - 112
        DP052             113 - 113
.





/***********************************************************************
/* Etiqueta variables.
/*
/**********************************************************************.
VARIABLE LABELS
      NACIONAL      "Variable auxiliar para obtener promedios nacionales"
      ESCUELA       "Identificador de la escuela"
      ID_ENT        "Entidad federativa (identificador numrico)"
      NOM_ENT       "Entidad federativa"
      ID_MOD        "Estrato escolar o Modalidad educativa (identificador numrico)"
      MOD           "Estrato escolar o Modalidad educativa"
      ENTEST        "Estratos del diseo muestral con el que se estiman los parmetros y errores estndar (Entidad federativa-Modalidad)"
      ID_INSTR      "Identificador del cuadernillo de examen"
      W_DIR         "Peso muestral o ponderador del director"
      DP001         "Es usted hombre o mujer?"
      DP002         "Cuntos aos cumplidos tiene?"
      DP003         "Trabaja otro turno, en esta o en otra escuela, como docente o director?"
      DP004         "Adems de su trabajo en esta escuela, tiene otro empleo permanente por el cual reciba remuneracin?"
      DP005         "Cul es su nivel mximo de estudios?"
      DP006         "Cul es su formacin especfica como docente?"
      DP007         "Contando este ciclo escolar cuntos aos tiene trabajando como director de primaria?"
      DP008         "Cuntos aos ha trabajado como profesor(a) de primaria?"
      DP009         "Adems de ser director(a) tiene a su cargo algn grupo en esta escuela?"
      DP010         "Cuntos cursos de capacitacin o actualizacin para directores tom en los ltimos 3 aos?"
      DP011         "Indique el grado en que dichos cursos le han resultado tiles en su ejercicio como director."
      DP012         "Est usted incorporado al Programa de Carrera Magisterial?"
      DP013         "Tiene alguna beca o est usted incorporado a algn otro programa de estmulos?"
      DP014         "En su opinin cmo son las condiciones fsicas generales de su plantel?"
      DP015         "Cuntas computadoras funcionales al servicio de los alumnos hay en su escuela?"
      DP016         "Es suficiente el equipo audiovisual con que cuenta su escuela?"
      DP017         "En qu condiciones se encuentra el equipo audiovisual?"
      DP018         "Es suficiente el material didctico (fichas, mapas, juegos educativos y otras) con que cuenta su escuela?"
      DP019         "En qu condiciones se encuentra dicho material?"
      DP020         "Cuntos libros hay en la biblioteca de su escuela, sin contar los de las bibliotecas de aula?"
      DP021         "Cuntos alumnos hay en su escuela?"
      DP022         "En su escuela existen grupos multigrado?"
      DP023         "Indique si su escuela participa o no en los siguientes programas: El programa Oportunidades"
      DP024         "Indique si su escuela participa o no en los siguientes programas: El programa Escuelas de Calidad"
      DP025         "Indique si su escuela participa o no en los siguientes programas: El Programa Nacional de Lectura"
      DP026         "Indique si su escuela participa o no en los siguientes programas: El PAREIB"
      DP027         "Indique si su escuela participa o no en los siguientes programas: El programa Enciclomedia"
      DP028         "Los programas de Educacin Especial para nios con problemas de aprendizaje o con capacidades diferentes"
      DP029         "Cuntos docentes frente a grupo hay en su escuela?"
      DP030         "Considerando el nmero total de alumnos de su plantel, el nmero de docentes con que cuenta es:"
      DP031         "Considerando las necesidades particulares de su plantel, la formacin y capacitacin de los docentes que trabajan en l es:"
      DP032         "Qu tanta rotacin de profesores hubo en su plantel durante el ltimo ciclo escolar?"
      DP033         "Cuntos profesores de su escuela faltaron a dar clases la semana pasada?"
      DP034         "En promedio cuntos profesores de su escuela llegaron tarde la semana pasada?"
      DP035         "Se ha constituido en su escuela el Consejo Tcnico?"
      DP036         "Contribuye el Consejo Tcnico a la resolucin de las problemticas escolares?"
      DP037         "Existe en su escuela el Consejo de Participacin Ciudadana?"
      DP038         "Contribuye el Consejo de Participacin Ciudadana a la resolucin de las problemticas escolares?"
      DP039         "En su escuela, quin(es) toma(n) predominantemente las decisiones sobre los siguientes aspectos? Elaboracin del plan escolar de trabajo"
      DP040         "En su escuela, quin(es) toma(n) predominantemente las decisiones sobre los siguientes aspectos? Asignar los profesores a grados y grupos"
      DP041         "En su escuela, quin(es) toma(n) predominantemente las decisiones sobre los siguientes aspectos? Tomar medidas en casos de indisciplina graves"
      DP042         "Existe en su escuela algn sistema para la evaluacin del desempeo de los docentes por parte de la direccin?"
      DP043         "Normalmente da a conocer a sus profesores los resultados de las evaluaciones sobre su desempeo?"
      DP044         "En su opinin cul es el grado de participacin de los padres de familia en las actividades escolares (Asociacin de padres de Familia, actividades acadmicas, eventos culturales y sociales u otros)?"
      DP045         "Cuntos festivales y/o eventos especiales se han realizado en la escuela en el transcurso del ao escolar?"
      DP046         "Indique la frecuencia con la que han ocurrido los siguientes eventos dentro de su plantel durante el presente ciclo escolar. Robos de objetos o dinero"
      DP047         "Indique la frecuencia con la que han ocurrido los siguientes eventos dentro de su plantel durante el presente ciclo escolar. Los alumnos han daado las instalaciones, el mobiliario o el equipo de la escuela"
      DP048         "Indique la frecuencia con la que han ocurrido los siguientes eventos dentro de su plantel durante el presente ciclo escolar. Los alumnos han participado en peleas a golpes"
      DP049         "Indique la frecuencia con la que han ocurrido los siguientes eventos dentro de su plantel durante el presente ciclo escolar. Los alumnos han consumido tabaco o alcohol"
      DP050         "Frecuencia con que ocurren algunos eventos en las calles que rodean la escuela que dirige. Qu tan seguido se presentan robos de objetos o dinero en los alrededores de su plantel?"
      DP051         "Frecuencia con que ocurren algunos eventos en las calles que rodean la escuela que dirige. Qu tan seguido se presentan peleas a golpes en los alrededores de la escuela?"
      DP052         "Frecuencia con que ocurren algunos eventos en las calles que rodean la escuela que dirige. Qu tan seguido se consume alcohol o drogas en los alrededores del plantel?"
.






/***********************************************************************
/* Etiqueta valores de variables.
/*
/**********************************************************************.
VALUE LABELS
      ID_ENT    1      "Aguascalientes"
                2      "Baja California"
                3      "Baja California Sur"
                4      "Campeche"
                5      "Coahuila"
                6      "Colima"
                7      "Chiapas"
                8      "Chihuahua"
                9      "Distrito Federal"
                10     "Durango"
                11     "Guanajuato"
                12     "Guerrero"
                13     "Hidalgo"
                14     "Jalisco"
                15     "Mxico"
                16     "Michoacn"
                17     "Morelos"
                18     "Nayarit"
                19     "Nuevo Len"
                20     "Oaxaca"
                21     "Puebla"
                22     "Quertaro"
                23     "Quintana Roo"
                24     "San Luis Potos"
                25     "Sinaloa"
                26     "Sonora"
                27     "Tabasco"
                28     "Tamaulipas"
                29     "Tlaxcala"
                30     "Veracruz"
                31     "Yucatn"
                32     "Zacatecas"/
      ID_MOD
                1      "Urbanas Pblicas"
                2      "Rurales Pblicas"
                3      "Educacin Indgena"
                4      "Cursos Comunitarios"
                5      "Privadas"
                6      "Generales"
                7      "Tcnicas"
                8      "Telesecundarias"
                9      "Privadas"/
      MOD
                "UP"   "Urbanas Pblicas"
                "RP"   "Rurales Pblicas"
                "EI"   "Educacin Indgena"
                "CC"   "Cursos Comunitarios"
                "UPV"  "Privadas"
                "GRAL" "Generales"
                "TEC"  "Tcnicas"
                "TV"   "Telesecundarias"
                "PRIV" "Privadas"/
      DP001
                1      "Hombre"
                2      "Mujer"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP002
                1      "Menos de 25"
                2      "Entre 25 y 29"
                3      "Entre 30 y 39"
                4      "Entre 40 y 49"
                5      "Entre 50 y 59"
                6      "60  ms"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP003
      DP004
                1      "S"
                0      "No"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP005
                1      "Bachillerato o menos"
                2      "Licenciatura"
                3      "Posgrado"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP006
                0      "Ninguna"
                1      "Bachillerato pedaggico"
                2      "Cursos de nivelacin pedaggica"
                3      "Normal bsica sin licenciatura"
                4      "Normal superior o licenciatura en educacin"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP007
                1      "1  menos"
                2      "Entre 2 y 5"
                3      "Entre 6 y 10"
                4      "Ms de 10"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP008
                1      "Uno"
                2      "Entre 2 y 5"
                3      "Entre 6 y 10"
                4      "11  ms"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP009
                1      "S"
                0      "No"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP010
                1      "Uno  menos"
                2      "2  3"
                3      "4  ms"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP011
                0      "Nada tiles"
                1      "Poco tiles"
                2      "tiles"
                3      "Muy tiles"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP012
      DP013
                1      "S"
                0      "No"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP014
                1      "Malas"
                2      "Aceptables"
                3      "Buenas"
                4      "Excelentes"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP015
                0      "No hay"
                1      "Menos de 10"
                2      "Entre 11 y 20"
                3      "Entre 21 y 30"
                4      "31  ms"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP016
                1      "S"
                0      "No"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP017
                1      "Malas"
                2      "Aceptables"
                3      "Buenas"
                4      "Excelentes"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP018
                1      "S"
                0      "No"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP019
                1      "Malas"
                2      "Aceptables"
                3      "Buenas"
                4      "Excelentes"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP020
                1      "Menos de 100"
                2      "Entre 100 y 200"
                3      "Entre 200 y 400"
                4      "Ms de 400"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP021
                1      "Menos de 30"
                2      "Entre 31 y 100"
                3      "Entre 101 y 250"
                4      "Ms de 250"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP022
      DP023
      DP024
      DP025
      DP026
      DP027
      DP028
                1      "S"
                0      "No"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP029
                1      "Menos de 6"
                2      "Entre 6 y 9"
                3      "10  ms"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP030
                1      "Muy insuficiente"
                2      "Insuficiente"
                3      "Suficiente"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP031
                1      "Inadecuada"
                2      "Poco adecuada"
                3      "Adecuada"
                4      "Muy adecuada"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP032
                4      "No hubo rotacin"
                3      "Baja (1  2 profesores)"
                2      "Moderada (3 a 5 profesores)"
                1      "Alta (6  ms profesores)"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP033
                4      "Ninguno"
                3      "1  2"
                2      "3 a 5"
                1      "6  ms"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP034
                4      "Ninguno"
                3      "1  2"
                2      "3 a 5"
                1      "6  ms"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP035
                1      "S"
                0      "No"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP036
                2      "S"
                1      "No"
                0      "No existe"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP037
                1      "S"
                0      "No"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP038
                2      "S"
                1      "No"
                0      "No existe"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP039
      DP040
      DP041
                1      "El director solo"
                2      "El director con algunos maestros"
                3      "Cada profesor por separado"
                4      "Consejo Tcnico"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP042
                1      "S"
                0      "No"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP043
                1      "S"
                0      "No"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP044
                1      "Nulo"
                2      "Bajo"
                3      "Regular"
                4      "Alto"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP045
                4      "Ninguno"
                3      "1  2"
                2      "3  4"
                1      "5  ms"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"/
      DP046
      DP047
      DP048
      DP049
      DP050
      DP051
      DP052
                3      "Nunca"
                2      "A veces"
                1      "Frecuentemente"
                8      "Respuesta mltiple"
                9      "Respuesta omitida"
.





/***********************************************************************
/* Especifica valores perdidos.
/*
/**********************************************************************.
MISSING VALUES DP001 TO DP052 (8,9).






/***********************************************************************
/* Aplica formato para mostrar en la pantalla.
/*
/**********************************************************************.
FORMAT W_DIR (F8.2).





             /* Actualizar el nombre y directorio donde se guarda el archivo Excale06_2007_Directores.SAV */
SAVE OUTFILE="C:\***\Excale06_2007_Directores.SAV".

EXE.
